JavaScript
import { createCognitioClient } from "@cognitio/sdk
const client = createCognitioClient()
await client.session.runtimeConfig.patch({
...
}){
"systemPrompt": "<string>",
"appendSystemPrompt": "<string>",
"model": {
"providerID": "<string>",
"modelID": "<string>"
},
"effort": "low",
"thinkingConfig": {
"type": "adaptive"
},
"compaction": {
"auto": true,
"includeFiles": true
},
"includeEnvironment": true,
"maxTurns": 123,
"maxBudgetUsd": 123,
"permissionMode": "default",
"canUseTool": true,
"autoPermissionClassifierModel": {
"providerID": "<string>",
"modelID": "<string>"
},
"allowedTools": [
"<string>"
],
"disallowedTools": [
"<string>"
],
"settingSources": [
"user"
],
"agents": {},
"skills": [
{
"name": "<string>",
"description": "<string>",
"content": "<string>",
"baseDir": "<string>",
"allowedTools": [
"<string>"
],
"model": "<string>",
"disableModelInvocation": true
}
],
"commands": [
{
"name": "<string>",
"template": "<string>",
"description": "<string>",
"agent": "<string>",
"model": "<string>",
"subtask": true,
"allowedTools": [
"<string>"
],
"disallowedTools": [
"<string>"
]
}
],
"plugins": [
{
"type": "inline",
"name": "<string>",
"description": "<string>",
"version": "<string>",
"skills": [
{
"name": "<string>",
"description": "<string>",
"content": "<string>",
"baseDir": "<string>",
"allowedTools": [
"<string>"
],
"model": "<string>",
"disableModelInvocation": true
}
],
"commands": [
{
"name": "<string>",
"template": "<string>",
"description": "<string>",
"agent": "<string>",
"model": "<string>",
"subtask": true,
"allowedTools": [
"<string>"
],
"disallowedTools": [
"<string>"
]
}
],
"agents": {},
"hooks": {},
"mcpServers": [
{
"name": "<string>",
"type": "remote",
"url": "<string>",
"enabled": true,
"headers": {},
"oauth": false,
"timeout": 123,
"transport": "http",
"ownership": "sdk"
}
]
}
],
"hooks": {},
"sdkMcpServers": [
{
"name": "<string>",
"type": "remote",
"url": "<string>",
"enabled": true,
"headers": {},
"oauth": false,
"timeout": 123,
"transport": "http",
"ownership": "sdk"
}
],
"enableToolSearch": true,
"enableFileCheckpointing": true,
"outputFormat": {
"type": "json_schema",
"schema": {},
"retryCount": 2
},
"backgroundTaskPolicy": {
"mode": "foreground"
},
"checkpointing": {
"enabled": true,
"beforeTools": true,
"beforeCompaction": true
}
}{
"data": "<unknown>",
"errors": [
{}
],
"success": false
}{
"name": "NotFoundError",
"data": {
"message": "<string>"
}
}Session
Patch runtime config
Merge a partial runtime config into the current session-scoped blob.
PATCH
/
session
/
{sessionID}
/
runtime-config
JavaScript
import { createCognitioClient } from "@cognitio/sdk
const client = createCognitioClient()
await client.session.runtimeConfig.patch({
...
}){
"systemPrompt": "<string>",
"appendSystemPrompt": "<string>",
"model": {
"providerID": "<string>",
"modelID": "<string>"
},
"effort": "low",
"thinkingConfig": {
"type": "adaptive"
},
"compaction": {
"auto": true,
"includeFiles": true
},
"includeEnvironment": true,
"maxTurns": 123,
"maxBudgetUsd": 123,
"permissionMode": "default",
"canUseTool": true,
"autoPermissionClassifierModel": {
"providerID": "<string>",
"modelID": "<string>"
},
"allowedTools": [
"<string>"
],
"disallowedTools": [
"<string>"
],
"settingSources": [
"user"
],
"agents": {},
"skills": [
{
"name": "<string>",
"description": "<string>",
"content": "<string>",
"baseDir": "<string>",
"allowedTools": [
"<string>"
],
"model": "<string>",
"disableModelInvocation": true
}
],
"commands": [
{
"name": "<string>",
"template": "<string>",
"description": "<string>",
"agent": "<string>",
"model": "<string>",
"subtask": true,
"allowedTools": [
"<string>"
],
"disallowedTools": [
"<string>"
]
}
],
"plugins": [
{
"type": "inline",
"name": "<string>",
"description": "<string>",
"version": "<string>",
"skills": [
{
"name": "<string>",
"description": "<string>",
"content": "<string>",
"baseDir": "<string>",
"allowedTools": [
"<string>"
],
"model": "<string>",
"disableModelInvocation": true
}
],
"commands": [
{
"name": "<string>",
"template": "<string>",
"description": "<string>",
"agent": "<string>",
"model": "<string>",
"subtask": true,
"allowedTools": [
"<string>"
],
"disallowedTools": [
"<string>"
]
}
],
"agents": {},
"hooks": {},
"mcpServers": [
{
"name": "<string>",
"type": "remote",
"url": "<string>",
"enabled": true,
"headers": {},
"oauth": false,
"timeout": 123,
"transport": "http",
"ownership": "sdk"
}
]
}
],
"hooks": {},
"sdkMcpServers": [
{
"name": "<string>",
"type": "remote",
"url": "<string>",
"enabled": true,
"headers": {},
"oauth": false,
"timeout": 123,
"transport": "http",
"ownership": "sdk"
}
],
"enableToolSearch": true,
"enableFileCheckpointing": true,
"outputFormat": {
"type": "json_schema",
"schema": {},
"retryCount": 2
},
"backgroundTaskPolicy": {
"mode": "foreground"
},
"checkpointing": {
"enabled": true,
"beforeTools": true,
"beforeCompaction": true
}
}{
"data": "<unknown>",
"errors": [
{}
],
"success": false
}{
"name": "NotFoundError",
"data": {
"message": "<string>"
}
}Path Parameters
Pattern:
^ses.*Body
application/json
Show child attributes
Show child attributes
Available options:
low, medium, high, max - Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x <= 9007199254740991Available options:
default, acceptEdits, dontAsk, plan, bypassPermissions, auto Show child attributes
Show child attributes
Available options:
user, project, local Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Updated runtime config
Show child attributes
Show child attributes
Available options:
low, medium, high, max - Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x <= 9007199254740991Available options:
default, acceptEdits, dontAsk, plan, bypassPermissions, auto Show child attributes
Show child attributes
Available options:
user, project, local Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes